=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::CommonAreaPhonesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'CommonAreaPhonesApi' do
  before do
    # run before each test
    @instance = ZoomUs::CommonAreaPhonesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CommonAreaPhonesApi' do
    it 'should create an instance of CommonAreaPhonesApi' do
      expect(@instance).to be_instance_of(ZoomUs::CommonAreaPhonesApi)
    end
  end

  # unit tests for add_common_area_phone
  # Add a Common Area Phone
  # A common area phone can be provisioned by a Zoom account owner or a Zoom admin so that anyone in an organization can use it. For example, if your office has shared desks that don&#39;t belong to a specific employees, you could add a common area phone so that any person can use it.&lt;br&gt; Use this API to [add a common area phone](https://support.zoom.us/hc/en-us/articles/360028516231-Managing-Common-Area-Phones#h_2d0da347-c35a-4993-9771-e21aaa568deb).&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or a higher account with Zoom Phone license. * Account owner or admin permissions. * [Supported device](https://support.zoom.us/hc/en-us/articles/360001299063-Zoom-Voice-Supported-Devices)&lt;br&gt; **Scope:** &#x60;phone:write:admin&#x60;&lt;br&gt;     
  # @param [Hash] opts the optional parameters
  # @option opts [Body74] :body 
  # @return [InlineResponse20124]
  describe 'add_common_area_phone test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_common_area_phone
  # Delete a Common Area Phone
  # A common area phone can be provisioned by a Zoom account owner or a Zoom admin so that anyone in an organization can use it. For example, if your office has shared desks that don&#39;t belong to a specific employees, you could add a common area phone so that any person can use it.&lt;br&gt; Use this API to remove the [common area phone](https://support.zoom.us/hc/en-us/articles/360028516231-Managing-Common-Area-Phones) from Zoom Phone System in an account.&lt;br&gt;&lt;br&gt;**Prerequisites:**&lt;br&gt; * Pro or a higher account with Zoom Phone license. * Account owner or admin permissions. * [Supported device](https://support.zoom.us/hc/en-us/articles/360001299063-Zoom-Voice-Supported-Devices)&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param common_area_phone_id Unique Identifier of the common area phone.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_common_area_phone test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_a_common_area_phone
  # Get Common Area Phone Details
  # A common area phone can be provisioned by a Zoom account owner or a Zoom admin so that anyone in an organization can use it. For example, if your office has shared desks that don&#39;t belong to a specific employees, you could add a common area phone so that any person can use it.&lt;br&gt; Use this API to get details on a specific [common area phone](https://support.zoom.us/hc/en-us/articles/360028516231-Managing-Common-Area-Phones) in an account.&lt;br&gt;&lt;br&gt;**Prerequisites:**&lt;br&gt; * Pro or a higher account with Zoom Phone license. * Account owner or admin permissions. * [Supported device](https://support.zoom.us/hc/en-us/articles/360001299063-Zoom-Voice-Supported-Devices)&lt;br&gt; **Scopes:** &#x60;phone:read:admin&#x60;&lt;br&gt;   
  # @param common_area_phone_id Unique Identifier of the Common Area Phone. This can be retrieved from List Common Area Phones API.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20096]
  describe 'get_a_common_area_phone test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_common_area_phones
  # List Common Area Phones
  # A common area phone can be provisioned by a Zoom account owner or a Zoom admin so that anyone in an organization can use it. For example, if your office has shared desks that don&#39;t belong to a specific employees, you could add a common area phone so that any person can use it.&lt;br&gt; Use this API to [list all common area phone](https://support.zoom.us/hc/en-us/articles/360028516231-Managing-Common-Area-Phones) in an account.&lt;br&gt;&lt;br&gt;**Prerequisites:**&lt;br&gt; * Pro or a higher account with Zoom Phone license. * Account owner or admin permissions. * [Supported device](https://support.zoom.us/hc/en-us/articles/360001299063-Zoom-Voice-Supported-Devices)&lt;br&gt;&lt;br&gt; **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt;   
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The total number of records returned from a single API call.
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @return [InlineResponse20095]
  describe 'list_common_area_phones test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_common_area_phone
  # Update Common Area Phone
  # A common area phone can be provisioned by a Zoom account owner or a Zoom admin so that anyone in an organization can use it. For example, if your office has shared desks that don&#39;t belong to a specific employees, you could add a common area phone so that any person can use it.&lt;br&gt; Use this API to update details on a specific [common area phone](https://support.zoom.us/hc/en-us/articles/360028516231-Managing-Common-Area-Phones) in an account.&lt;br&gt;&lt;br&gt;**Prerequisites:**&lt;br&gt; * Pro or a higher account with Zoom Phone license. * Account owner or admin permissions. * [Supported device](https://support.zoom.us/hc/en-us/articles/360001299063-Zoom-Voice-Supported-Devices)&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param common_area_phone_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Body75] :body 
  # @return [Object]
  describe 'update_common_area_phone test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
