=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::IMGroupsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'IMGroupsApi' do
  before do
    # run before each test
    @instance = ZoomUs::IMGroupsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of IMGroupsApi' do
    it 'should create an instance of IMGroupsApi' do
      expect(@instance).to be_instance_of(ZoomUs::IMGroupsApi)
    end
  end

  # unit tests for im_group
  # Retrieve an IM Directory Group
  # Retrieve an [IM directory group](https://support.zoom.us/hc/en-us/articles/203749815-IM-Management) under your account.&lt;br&gt;&lt;br&gt; Scopes: &#x60;imgroup:read:admin&#x60;&lt;br&gt;  
  # @param group_id The group ID.&lt;br&gt; Can be retrieved by calling [GET /groups](https://marketplace.zoom.us/docs/api-reference/zoom-api/groups/groups).
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20019]
  describe 'im_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for im_group_create
  # Create an IM Directory Group
  # Create an [IM directory group](https://support.zoom.us/hc/en-us/articles/203749815-IM-Management) under your account.&lt;br&gt;&lt;br&gt; **Scopes**: &#x60;imgroup:write:admin&#x60;&lt;br&gt;  
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'im_group_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for im_group_delete
  # Delete an IM Directory Group
  # Delete an [IM directory group](https://support.zoom.us/hc/en-us/articles/203749815-IM-Management) under your account.&lt;br&gt;&lt;br&gt; Scopes: &#x60;imgroup:write:admin&#x60;&lt;br&gt;  
  # @param group_id The group ID.&lt;br&gt; Can be retrieved by calling [GET /groups](https://marketplace.zoom.us/docs/api-reference/zoom-api/groups/groups).
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'im_group_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for im_group_members
  # List IM Directory Group Members
  # List the members of an [IM directory group](https://support.zoom.us/hc/en-us/articles/203749815-IM-Management).&lt;br&gt;&lt;br&gt; **Scope:** &#x60;imgroup:read:admin&#x60;&lt;br&gt;  
  # @param group_id The group ID.&lt;br&gt; Can be retrieved by calling [GET /groups](https://marketplace.zoom.us/docs/api-reference/zoom-api/groups/groups).
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [Integer] :page_number The current page number of returned records.
  # @return [GroupMemberList]
  describe 'im_group_members test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for im_group_members_create
  # Add IM Directory Group Members
  # Add members to an [IM directory group](https://support.zoom.us/hc/en-us/articles/203749815-IM-Management) under an account.&lt;br&gt;&lt;br&gt; **Scope:** &#x60;imgroup:write:admin&#x60;&lt;br&gt;  
  # @param group_id The group ID.&lt;br&gt; Can be retrieved by calling [GET /groups](https://marketplace.zoom.us/docs/api-reference/zoom-api/groups/groups).
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'im_group_members_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for im_group_members_delete
  # Delete an IM Directory Group Member
  # Delete a member from an [IM directory group](https://support.zoom.us/hc/en-us/articles/203749815-IM-Management) under an account.&lt;br&gt;&lt;br&gt; Scopes: &#x60;imgroup:write:admin&#x60;&lt;br&gt;  
  # @param group_id The group ID.&lt;br&gt; Can be retrieved by calling [GET /groups](https://marketplace.zoom.us/docs/api-reference/zoom-api/groups/groups).
  # @param member_id The member ID.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'im_group_members_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for im_group_update
  # Update an IM Directory Group
  # Update an [IM directory group](https://support.zoom.us/hc/en-us/articles/203749815-IM-Management) under your account.&lt;br&gt;&lt;br&gt; **Scopes**: &#x60;imgroup:write:admin&#x60;&lt;br&gt;  
  # @param group_id The group ID.&lt;br&gt; Can be retrieved by calling [GET /groups](https://marketplace.zoom.us/docs/api-reference/zoom-api/groups/groups).
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'im_group_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for im_groups
  # List IM Directory Groups
  # List [IM directory groups](https://support.zoom.us/hc/en-us/articles/203749815-IM-Management).&lt;br&gt;&lt;br&gt; **Scopes**: &#x60;imgroup:read:admin&#x60;&lt;br&gt;  
  # @param [Hash] opts the optional parameters
  # @return [IMGroupList]
  describe 'im_groups test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
