=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::PhoneApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PhoneApi' do
  before do
    # run before each test
    @instance = ZoomUs::PhoneApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PhoneApi' do
    it 'should create an instance of PhoneApi' do
      expect(@instance).to be_instance_of(ZoomUs::PhoneApi)
    end
  end

  # unit tests for account_call_logs
  # Get Account&#39;s Call Logs
  # Retrieve [call logs](https://support.zoom.us/hc/en-us/articles/360021114452-Viewing-Call-Logs) for an account.   **Scopes**: &#x60;phone:read:admin&#x60;&lt;br&gt; &lt;br&gt; **Prerequisite:**&lt;br&gt; 1. Business or Enterprise account&lt;br&gt; 2. A Zoom Phone license&lt;br&gt; 3. Account Owner and a [role](https://support.zoom.us/hc/en-us/articles/115001078646-Role-Based-Access-Control) with Zoom Phone Management&lt;br&gt;
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [Integer] :page_number The current page number of returned records.
  # @option opts [String] :from Start date from which you would like to get the call logs. The start date should be within past six months.
  # @option opts [String] :to The end date upto which you would like to get the call logs for. The end date should be within past six months.
  # @option opts [String] :type The type of the call logs. The value can be either \&quot;all\&quot; or \&quot;missed\&quot;.
  # @return [InlineResponse20066]
  describe 'account_call_logs test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for assign_calling_plan
  # Assign Calling Plan to a User
  # Assign [calling plan](https://marketplace.zoom.us/docs/api-reference/other-references/plans#zoom-phone-calling-plans) to a [Zoom Phone](https://support.zoom.us/hc/en-us/categories/360001370051-Zoom-Phone) user.  **Scopes**: &#x60;phone:write&#x60; &#x60;phone:write:admin&#x60;&lt;br&gt; &lt;br&gt; **Prerequisite:**  1. Business or Enterprise account 2. A Zoom Phone license  
  # @param user_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Body47] :body 
  # @return [Object]
  describe 'assign_calling_plan test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for assign_phone_number
  # Assign Phone Number to User 
  # Assign a [phone number](https://support.zoom.us/hc/en-us/articles/360020808292-Managing-Phone-Numbers) to a user who has already enabled Zoom Phone.   **Scopes**: &#x60;phone:write&#x60; &#x60;phone:write:admin&#x60;&lt;br&gt; &lt;br&gt; **Prerequisite:**  1. Business or Enterprise account 2. A Zoom Phone license
  # @param user_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Body46] :body Provide either an id or a number in the request body.
  # @return [InlineResponse20067]
  describe 'assign_phone_number test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for change_main_company_number
  # Change Main Company Number
  # The [main company number](https://support.zoom.us/hc/en-us/articles/360028553691) can be used by external callers to reach your phone users (by dialing the main company number and the user&#39;s extension). It can also be used by phone users in your account as their caller ID while making calls.&lt;br&gt;&lt;br&gt; Use this API to [change the main company number](https://support.zoom.us/hc/en-us/articles/360028553691#h_82414c34-9df2-428a-85a4-efcf7f9e0d72) of an account.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher account plan. * Account owner or admin permissions&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param [Hash] opts the optional parameters
  # @option opts [Body71] :body 
  # @return [Object]
  describe 'change_main_company_number test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_phone_number_details
  # Get Phone Number Details
  # A Zoom account owner or admin can purchase phone numbers and assign them to Zoom phone users. Use this API to get details on a specific Phone number in a Zoom account.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher plan with Zoom phone license&lt;br&gt; **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt;   
  # @param number_id Unique Identifier of the Phone Number. This can be retrieved from the List Phone Numbers API.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20092]
  describe 'get_phone_number_details test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_account_phone_numbers
  # List Phone Numbers
  # A Zoom account owner or admin can purchase phone numbers and assign them to Zoom phone users. Use this API to list all Zoom Phone numbers in a Zoom account. You can filter the response based on your needs by using query parameters.  **Prerequisites:**&lt;br&gt; * Pro or higher plan with Zoom phone license&lt;br&gt; **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt; 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @option opts [String] :type Query response by number assignment. The value can be one of the following:&lt;br&gt; &#x60;assigned&#x60;: The number has been assigned to either a user, a call queue, an auto-receptionist or a common area phone in an account. &lt;br&gt;&#x60;unassigned&#x60;: The number is not assigned to anyone.&lt;br&gt;  &#x60;all&#x60;: Include both assigned and unassigned numbers in the response. 
  # @option opts [String] :extension_type The type of assignee to whom the number is assigned. The value can be one of the following:&lt;br&gt; &#x60;user&#x60;&lt;br&gt; &#x60;callQueue&#x60;&lt;br&gt; &#x60;autoReceptionist&#x60;&lt;br&gt; &#x60;commonAreaPhone&#x60;
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [String] :number_type The type of phone number. The value can be either &#x60;toll&#x60; or &#x60;tollfree&#x60;.
  # @option opts [BOOLEAN] :pending_numbers Include or exclude pending numbers in the response. The value can be either &#x60;true&#x60; or &#x60;false&#x60;.
  # @return [InlineResponse200]
  describe 'list_account_phone_numbers test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_calling_plans
  # List Calling Plans
  # List all Zoom Phone [calling plans](https://marketplace.zoom.us/docs/api-reference/other-references/plans#zoom-phone-calling-plans) that are enabled for a Zoom account.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or a higher account with Zoom phone license. &lt;br&gt; **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt; 
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20093]
  describe 'list_calling_plans test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_phone_users
  # List Phone Users
  # List all the users on an account who have been assigned Zoom Phone licenses.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher plan with Zoom phone license&lt;br&gt; **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt; 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned from a single API call.
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @option opts [String] :site_id Unique Identifier of the site. This can be retrieved from List Phone Sites API.
  # @return [InlineResponse20094]
  describe 'list_phone_users test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for phone_user
  # Get User&#39;s Profile
  # Retrieve a user&#39;s [zoom phone](https://support.zoom.us/hc/en-us/articles/360001297663-Quickstart-Guide-for-Zoom-Phone-Administrators) profile.  **Scopes:** &#x60;phone:read&#x60;, &#x60;phone:read:admin&#x60;&lt;br&gt;    **Prerequisites** : 1. Business or Enterprise account  2. A Zoom Phone license
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20061]
  describe 'phone_user test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for phone_user_call_logs
  # Get User&#39;s Call Logs
  # Retrieve a [zoom phone](https://support.zoom.us/hc/en-us/articles/360001297663-Quickstart-Guide-for-Zoom-Phone-Administrators) user&#39;s call logs.  **Scopes:** &#x60;phone:read&#x60;, &#x60;phone:read:admin&#x60;&lt;br&gt; &lt;br&gt; **Prerequisite:**  1. Business or Enterprise account 2. A Zoom Phone license
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param from Start date in &#39;yyyy-mm-dd&#39; format. The date range defined by the \&quot;from\&quot; and \&quot;to\&quot; parameters should only be one month as the report includes only one month worth of data at once.
  # @param to End date.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [Integer] :page_number The current page number of returned records.
  # @option opts [String] :type 
  # @return [InlineResponse20063]
  describe 'phone_user_call_logs test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for phone_user_recordings
  # Get User&#39;s Recordings
  # Retrieve a user&#39;s zoom [phone recordings](https://support.zoom.us/hc/en-us/articles/360021336671-Viewing-Call-History-and-Recordings). **Scopes:** &#x60;phone:read&#x60;, &#x60;phone:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisite:** 1. Business or Enterprise account 2. A Zoom Phone license
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [Integer] :page_number The current page number of returned records.
  # @return [InlineResponse20064]
  describe 'phone_user_recordings test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for phone_user_settings
  # Get User&#39;s Settings
  # Retrieve a user&#39;s zoom phone profile [settings](https://support.zoom.us/hc/en-us/articles/360021325712-Configuring-Settings).  **Scopes:** &#x60;phone:read&#x60;, &#x60;phone:read:admin&#x60;&lt;br&gt; &lt;br&gt; **Prerequisite:** 1. Business or Enterprise account 2. A Zoom Phone license
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20062]
  describe 'phone_user_settings test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for phone_user_voice_mails
  # Get User&#39;s Voicemails
  # Retrieve a user&#39;s Zoom Phone voicemails.   **Scopes:** &#x60;phone:read&#x60;, &#x60;phone:read:admin&#x60;&lt;br&gt; &lt;br&gt; **Prerequisite:** 1. Business or Enterprise account 2. A Zoom Phone license
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [Integer] :page_number The current page number of returned records.
  # @option opts [String] :status Status of the voice mail
  # @return [InlineResponse20065]
  describe 'phone_user_voice_mails test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unassign_calling_plan
  # Unassign User&#39;s Calling Plan
  # Unassign a [calling plan](https://marketplace.zoom.us/docs/api-reference/other-references/plans#zoom-phone-calling-plans) that was previously assigned to a [Zoom Phone](https://support.zoom.us/hc/en-us/categories/360001370051) user.  **Scopes**: &#x60;phone:write&#x60; &#x60;phone:write:admin&#x60;&lt;br&gt; &lt;br&gt; **Prerequisite:**  1. Business or Enterprise account 2. A Zoom Phone license
  # @param user_id 
  # @param type The [type](https://marketplace.zoom.us/docs/api-reference/other-references/plans#zoom-phone-calling-plans) of the calling plan that was assigned to user. (e.g: The value of type would be \&quot;200\&quot; for Unlimited US/Canada calling plan.) 
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'unassign_calling_plan test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unassign_phone_number
  # Unassign User&#39;s Phone Number
  # Unassign [phone number](https://support.zoom.us/hc/en-us/articles/360020808292-Managing-Phone-Numbers#h_38ba8b01-26e3-4b1b-a9b5-0717c00a7ca6) of a Zoom phone user. &lt;br&gt;  After assigning a phone number, you can remove it if you don&#39;t want it to be assigned to anyone.  **Scopes**: &#x60;phone:write&#x60; &#x60;phone:write:admin&#x60;&lt;br&gt; &lt;br&gt; **Prerequisite:**  1. Business or Enterprise account 2. A Zoom Phone license 3. User must have been previously assigned a Zoom Phone number.
  # @param user_id Provide either userId or email address of the user.
  # @param phone_number_id Provide either phone number or phoneNumberId of the user. 
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'unassign_phone_number test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_user_profile
  # Update User&#39;s Profile
  # Update a [Zoom Phone](https://support.zoom.us/hc/en-us/categories/360001370051-Zoom-Phone) user&#39;s profile.  **Scopes:** &#x60;phone:write&#x60; &#x60;phone:write:admin&#x60;  &lt;br&gt;&lt;br&gt; **Prerequisite:**  1. Business or Enterprise account 2. A Zoom Phone license
  # @param user_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Body45] :body 
  # @return [Object]
  describe 'update_user_profile test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
