=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::PhoneAutoReceptionistsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PhoneAutoReceptionistsApi' do
  before do
    # run before each test
    @instance = ZoomUs::PhoneAutoReceptionistsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PhoneAutoReceptionistsApi' do
    it 'should create an instance of PhoneAutoReceptionistsApi' do
      expect(@instance).to be_instance_of(ZoomUs::PhoneAutoReceptionistsApi)
    end
  end

  # unit tests for assign_phone_numbers_auto_receptionist
  # Assign Phone Numbers
  # Assign available phone numbers to an [auto receptionist](https://support.zoom.us/hc/en-us/articles/360021121312-Managing-Auto-Receptionists-and-Interactive-Voice-Response-IVR-). The available numbers can be retrieved using the List Phone Numbers API with &#x60;type&#x60; query parameter set to \&quot;unassigned\&quot;.  **Prerequisites:** * Pro or higher account plan with Zoom Phone License * Account owner or admin permissions&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param auto_receptionist_id Unique Identifier of the Auto Receptionist. It can be retrieved from the [List Sites API](https://marketplace.zoom.us/docs/api-reference/zoom-api/phone-site/listphonesites).
  # @param [Hash] opts the optional parameters
  # @option opts [Body73] :body 
  # @return [Object]
  describe 'assign_phone_numbers_auto_receptionist test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unassign_a_phone_num_auto_receptionist
  # Unassign a Phone Number
  # Unassign a specific phone number that was previously assigned to an [auto receptionist](https://support.zoom.us/hc/en-us/articles/360021121312-Managing-Auto-Receptionists-and-Interactive-Voice-Response-IVR-).   **Prerequisites:** * Pro or higher account plan with Zoom Phone License * Account owner or admin permissions&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param auto_receptionist_id Unique identifier of the auto receptionist. This can be retrieved from the List Phone Sites API.
  # @param phone_number_id Unique Identifier of the phone number or provide the actual phone number in e164 format (example: +19995550123).
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'unassign_a_phone_num_auto_receptionist test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unassign_all_phone_nums_auto_receptionist
  # Unassign all Phone Numbers
  # Unassign all phone numbers that were previously assigned to an [auto receptionist](https://support.zoom.us/hc/en-us/articles/360021121312-Managing-Auto-Receptionists-and-Interactive-Voice-Response-IVR-).   **Prerequisites:** * Pro or higher account plan with Zoom Phone License * Account owner or admin permissions&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param auto_receptionist_id 
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'unassign_all_phone_nums_auto_receptionist test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_auto_receptionist
  # Update Auto Receptionist Details 
  # An auto receptionist answers calls with a personalized recording and routes calls to a phone user, call queue, common area phone, or voicemail. An auto receptionist can also be set up so that it routes calls to an interactive voice response (IVR) system to allow callers to select the routing options.&lt;br&gt; Use this API to [change information](https://support.zoom.us/hc/en-us/articles/360021121312-Managing-Auto-Receptionists-and-Interactive-Voice-Response-IVR-#h_1d5ffc56-6ba3-4ce5-9d86-4a1a1ee743f3) such as display name and extension number assigned to the main auto receptionist.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher account with Zoom Phone license.&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60; &lt;br&gt;   
  # @param auto_receptionist_id Unique Identifier of the Auto Receptionist. It can be retrieved from the [List Sites API](https://marketplace.zoom.us/docs/api-reference/zoom-api/phone-site/listphonesites).
  # @param [Hash] opts the optional parameters
  # @option opts [Body72] :body 
  # @return [Object]
  describe 'update_auto_receptionist test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
