=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::PhoneBlockedListApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PhoneBlockedListApi' do
  before do
    # run before each test
    @instance = ZoomUs::PhoneBlockedListApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PhoneBlockedListApi' do
    it 'should create an instance of PhoneBlockedListApi' do
      expect(@instance).to be_instance_of(ZoomUs::PhoneBlockedListApi)
    end
  end

  # unit tests for add_anumber_to_blocked_list
  # Create a Blocked List
  # A Zoom account owner or a user with admin privilege can block phone numbers for phone users in an account. Blocked numbers can be inbound (numbers will be blocked from calling in) and outbound (phone users in your account won&#39;t be able to dial those numbers). Blocked callers will hear a generic message stating that the person they are calling is not available.&lt;br&gt;Use this API to create a blocked list and add a number to that blocked list.&lt;br&gt; **Prerequisites:** * Pro or higher account plan with Zoom phone license&lt;br&gt; **Scope:** &#x60;phone:write:admin&#x60;&lt;br&gt;     
  # @param [Hash] opts the optional parameters
  # @option opts [Body76] :body 
  # @return [InlineResponse20125]
  describe 'add_anumber_to_blocked_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_a_blocked_list
  # Delete a Blocked List
  # A Zoom account owner or a user with admin privilege can block phone numbers for phone users in an account. Blocked numbers can be inbound (numbers will be blocked from calling in) and outbound (phone users in your account won&#39;t be able to dial those numbers). &lt;br&gt;Use this API to delete a blocked list and therefore removing the associated number from the blocked list. The number will be unblocked after the deletion.&lt;br&gt; **Prerequisites:** * Pro or higher account plan with Zoom phone license&lt;br&gt; **Scope:** &#x60;phone:write:admin&#x60;&lt;br&gt;       
  # @param blocked_list_id Unique Identifier of the blocked list. This can be retrieved from the List Blocked List API.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_a_blocked_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_a_blocked_list
  # Get Blocked List Details
  # A Zoom account owner or a user with admin privilege can block phone numbers for phone users in an account. Blocked numbers can be inbound (numbers will be blocked from calling in) and outbound (phone users in your account won&#39;t be able to dial those numbers). Blocked callers will hear a generic message stating that the person they are calling is not available.&lt;br&gt;Use this API to get information about a specific blocked list.&lt;br&gt; **Prerequisites:** * Pro or higher account plan with Zoom phone license&lt;br&gt; **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt;       
  # @param blocked_list_id Unique Identifier of the blocked list.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20098]
  describe 'get_a_blocked_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_blocked_list
  # List Blocked Lists
  # A Zoom account owner or a user with admin privilege can block phone numbers for phone users in an account. Blocked numbers can be inbound (numbers will be blocked from calling in) and outbound (phone users in your account won&#39;t be able to dial those numbers). Blocked callers will hear a generic message stating that the person they are calling is not available.&lt;br&gt;Use this API to list all the blocked lists in an acccount.&lt;br&gt; **Prerequisites:** * Pro or higher account plan with Zoom phone license&lt;br&gt; **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt;     
  # @param [Hash] opts the optional parameters
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @option opts [Integer] :page_size The total number of records returned from a single API call.
  # @return [InlineResponse20097]
  describe 'list_blocked_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_blocked_list
  # Update a Blocked List
  # A Zoom account owner or a user with admin privilege can block phone numbers for phone users in an account. Blocked numbers can be inbound (numbers will be blocked from calling in) and outbound (phone users in your account won&#39;t be able to dial those numbers). Blocked callers will hear a generic message stating that the person they are calling is not available.&lt;br&gt;Use this API to update information on the blocked list.&lt;br&gt; **Prerequisites:** * Pro or higher account plan with Zoom phone license&lt;br&gt; **Scope:** &#x60;phone:write:admin&#x60;&lt;br&gt;      
  # @param blocked_list_id Unique Identifier for the blocked list.
  # @param [Hash] opts the optional parameters
  # @option opts [Body77] :body 
  # @return [Object]
  describe 'update_blocked_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
