=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::PhoneCallQueuesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PhoneCallQueuesApi' do
  before do
    # run before each test
    @instance = ZoomUs::PhoneCallQueuesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PhoneCallQueuesApi' do
    it 'should create an instance of PhoneCallQueuesApi' do
      expect(@instance).to be_instance_of(ZoomUs::PhoneCallQueuesApi)
    end
  end

  # unit tests for add_members_to_call_queue
  # Add Members to a Call Queue
  # Add phone users and/or [common area phones](https://support.zoom.us/hc/en-us/articles/360028516231-Managing-Common-Area-Phones) as members to a specific Call Queue.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher account plan. * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param call_queue_id Unique Identifier of the Call Queue.
  # @param [Hash] opts the optional parameters
  # @option opts [Body69] :body 
  # @return [Object]
  describe 'add_members_to_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for assign_phone_to_call_queue
  # Assign Numbers to a Call Queue
  # After [buying phone number(s)](https://support.zoom.us/hc/en-us/articles/360020808292#h_007ec8c2-0914-4265-8351-96ab23efa3ad), you can assign it, allowing callers to directly dial a number to reach a [call queue](https://support.zoom.us/hc/en-us/articles/360021524831-Managing-Call-Queues).&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher account plan. * Account owner or admin permissions * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param call_queue_id Unique Identifier of the Call Queue.
  # @param [Hash] opts the optional parameters
  # @option opts [Body68] :body 
  # @return [Object]
  describe 'assign_phone_to_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for change_call_queue_manager
  # Change Call Queue Manager
  # A call queue manager has the privileges to maanage the call queue&#39;s voicemail inbox and recordings, change all call queue settings and call queue policy settings.&lt;br&gt;&lt;br&gt; Use this API to to set another phone user as the [call queue manager](https://support.zoom.us/hc/en-us/articles/360021524831-Managing-Call-Queues#h_db06854b-e6a3-4afe-ba15-baf58f31f90c). **Prerequisites:**&lt;br&gt; * Pro or higher account plan. * Account owner or admin permissions * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;    
  # @param call_queue_id Unique Identifier of the Call Queue.
  # @param [Hash] opts the optional parameters
  # @option opts [Body70] :body 
  # @return [Object]
  describe 'change_call_queue_manager test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for create_call_queue
  # Create a Call Queue
  # Call queues allow you to route incoming calls to a group of users. For instance, you can use call queues to route calls to various departments in your organization such as sales, engineering, billing, customer service etc.&lt;br&gt; Use this API to [create a call queue](https://support.zoom.us/hc/en-us/articles/360021524831-Managing-Call-Queues#h_e81faeeb-9184-429a-aaea-df49ff5ff413).&lt;br&gt; You can add phone users or common area phones to call queues.  **Prerequisites:**&lt;br&gt; * Pro, Business, or Education account * Account owner or admin permissions * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;     
  # @param [Hash] opts the optional parameters
  # @option opts [Body66] :body 
  # @return [InlineResponse20123]
  describe 'create_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_a_call_queue
  # Delete a Call Queue
  # Call queues allow you to route incoming calls to a group of users. For instance, you can use call queues to route calls to various departments in your organization such as sales, engineering, billing, customer service etc.&lt;br&gt; Use this API to delete a Call Queue.&lt;br&gt;  **Prerequisites:**&lt;br&gt; * Pro, Business, or Education account * Account owner or admin permissions * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;     
  # @param call_queue_id Unique Identifier of the call queue.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_a_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_a_call_queue
  # Get Call Queue Details
  # Call queues allow you to route incoming calls to a group of users. For instance, you can use call queues to route calls to various departments in your organization such as sales, engineering, billing, customer service etc.&lt;br&gt; Use this API to get information on a specific Call Queue.&lt;br&gt;&lt;br&gt;  **Prerequisites:**&lt;br&gt; * Pro, Business, or Education account * Account owner or admin permissions * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:read:admin&#x60;&lt;br&gt;      
  # @param call_queue_id Unique Identifier of the Call Queue. This can be retrieved from [List Call Queues API]().
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20091]
  describe 'get_a_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_call_queues
  # List Call Queues
  # Call queues allow you to route incoming calls to a group of users. For instance, you can use call queues to route calls to various departments in your organization such as sales, engineering, billing, customer service etc.&lt;br&gt; Use this API to list Call queues.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro, Business, or Education account * Account owner or admin permissions * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:read:admin&#x60;&lt;br&gt;    
  # @param [Hash] opts the optional parameters
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @option opts [Integer] :page_size The number of records returned from a single API call.
  # @return [InlineResponse20090]
  describe 'list_call_queues test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for un_assign_phone_num_call_queue
  # Unassign a Phone Number
  # After assigning a phone number, you can unbind it if you don&#39;t want it to be assigned to a [Call Queue](https://support.zoom.us/hc/en-us/articles/360021524831-Managing-Call-Queues). Use this API to unbind a phone number from a Call Queue. After successful unbinding, the number will appear in the [Unassigned tab](https://zoom.us/signin#/numbers/unassigned).&lt;br&gt;&lt;br&gt; **Prerequisites:** * Pro or higher account palan * Account owner or admin permissions * Zoom Phone license &lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param call_queue_id Unique Identifier of the Call Queue. This can be retrieved from the List Call Queues API.
  # @param phone_number_id Unique Identifier of the Phone Number. 
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'un_assign_phone_num_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unassign_a_phone_num_call_queue
  # Unassign all Phone Numbers
  # Use this API to unbind all phone numbers that are assigned to a [Call Queue](https://support.zoom.us/hc/en-us/articles/360021524831-Managing-Call-Queues) After successful unbinding, the numbers will appear in the [Unassigned tab](https://zoom.us/signin#/numbers/unassigned).&lt;br&gt; If you only need to unassign a specific phone number, use the Unassign a Phone Number API instead. &lt;br&gt; **Prerequisites:** * Pro or higher account palan * Account owner or admin permissions * Zoom Phone license &lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param call_queue_id Unique Identifier of the Call Queue. This can be retrieved from List Call Queues API.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'unassign_a_phone_num_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unassign_all_members
  # Unassign all Members
  # Use this API to remove all members from a Call Queue who were previously assigned to that Call Queue. The members could be phone users or [common area phones](https://support.zoom.us/hc/en-us/articles/360028516231-Managing-Common-Area-Phones). **Prerequisites:**&lt;br&gt; * Pro or higher account plan. * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param call_queue_id 
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'unassign_all_members test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for unassign_member_from_call_queue
  # Unassign a Member
  # Use this API to remove a member from a Call Queue who was previously added to that Call Queue. The member could be a phone user or a [common area phone](https://support.zoom.us/hc/en-us/articles/360028516231-Managing-Common-Area-Phones). A member who is a Call Queue Manager cannot be unassigned from the Call Queue using this API.  **Prerequisites:**&lt;br&gt; * Pro or higher account plan. * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param call_queue_id Unique Identifier of the Call Queue from which the member needs to be unassigned.
  # @param member_id Unique Identifier of the member who needs to be unassigned.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'unassign_member_from_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_call_queue
  # Update Call Queue Details
  # Call queues allow you to route incoming calls to a group of users. For instance, you can use call queues to route calls to various departments in your organization such as sales, engineering, billing, customer service etc.&lt;br&gt; Use this API to update information of a specific Call Queue.&lt;br&gt;  **Prerequisites:**&lt;br&gt; * Pro, Business, or Education account * Account owner or admin permissions * Zoom Phone license&lt;br&gt; **Scopes:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param call_queue_id Unique Identifier of the Call Queue.
  # @param [Hash] opts the optional parameters
  # @option opts [Body67] :body 
  # @return [Object]
  describe 'update_call_queue test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
