=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::PhoneSiteApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PhoneSiteApi' do
  before do
    # run before each test
    @instance = ZoomUs::PhoneSiteApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PhoneSiteApi' do
    it 'should create an instance of PhoneSiteApi' do
      expect(@instance).to be_instance_of(ZoomUs::PhoneSiteApi)
    end
  end

  # unit tests for create_phone_site
  # Create a Phone Site
  # Sites allow you to organize Zoom Phone users in your organization. Use this API to create a [Site](https://support.zoom.us/hc/en-us/articles/360020809672).&lt;br&gt; **Prerequisites:**&lt;br&gt; * Multiple Sites must be [enabled](https://support.zoom.us/hc/en-us/articles/360020809672-Managing-Multiple-Sites#h_05c88e35-1593-491f-b1a8-b7139a75dc15). * Pro or a higher account with Zoom Phone enabled. **Scope:** &#x60;phone:write:admin&#x60;&lt;br&gt;      
  # @param [Hash] opts the optional parameters
  # @option opts [Body3] :body 
  # @return [InlineResponse204]
  describe 'create_phone_site test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_phone_site
  # Delete a Phone Site
  # Sites allow you to organize Zoom Phone users in your organization. Use this API to delete a specific [site](https://support.zoom.us/hc/en-us/articles/360020809672) in a Zoom account. To delete a site, in the query parameter, you must provide the Site ID of another site where the assets of current site (users, numbers and phones) can be transferred to.  You cannot use this API to delete the main site.  **Prerequisites:** &lt;br&gt; * Account must have a Pro or a higher plan with Zoom Phone license.  * [Multiple Sites](https://support.zoom.us/hc/en-us/articles/360020809672-Managing-Multiple-Sites) must be enabled.&lt;br&gt; **Scope:** &#x60;phone:write:admin&#x60; &lt;br&gt;   
  # @param site_id Unique Identifier of the Site.
  # @param transfer_site_id The Site ID of another site where the assets of the current site (users, numbers and phones) can be transferred to.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_phone_site test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_a_site
  # Get Phone Site Details
  # Sites allow you to organize Zoom Phone users in your organization. Use this API to get information about a specific [site](https://support.zoom.us/hc/en-us/articles/360020809672).   **Prerequisites:** &lt;br&gt; * Account must have a Pro or a higher plan with Zoom Phone license. * Multiple Sites must be [enabled](https://support.zoom.us/hc/en-us/articles/360020809672-Managing-Multiple-Sites#h_05c88e35-1593-491f-b1a8-b7139a75dc15).&lt;br&gt; **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt;   
  # @param site_id Unique Identifier of the Site.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse2004]
  describe 'get_a_site test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_phone_sites
  # List Phone Sites
  # Sites allow you to organize Zoom Phone users in your organization. Use this API to list all the [sites](https://support.zoom.us/hc/en-us/articles/360020809672) that have been created for an account.&lt;br&gt; **Prerequisites:**&lt;br&gt; * Multiple Sites must be [enabled](https://support.zoom.us/hc/en-us/articles/360020809672-Managing-Multiple-Sites#h_05c88e35-1593-491f-b1a8-b7139a75dc15). * Pro or a higher account with Zoom Phone enabled.  **Scope:** &#x60;phone:read:admin&#x60;&lt;br&gt; 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @return [InlineResponse2003]
  describe 'list_phone_sites test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_site_details
  # Update Phone Site Details
  # Sites allow you to organize Zoom Phone users in your organization. Use this API to update information about a specific [site](https://support.zoom.us/hc/en-us/articles/360020809672).   **Prerequisites:** &lt;br&gt; * Account must have a Pro or a higher plan with Zoom Phone license. * **Scope:** &#x60;phone:write:admin&#x60;&lt;br&gt;   
  # @param site_id Unique Identifier of the Site.
  # @param [Hash] opts the optional parameters
  # @option opts [Body4] :body 
  # @return [Object]
  describe 'update_site_details test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
