=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::ReportsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ReportsApi' do
  before do
    # run before each test
    @instance = ZoomUs::ReportsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ReportsApi' do
    it 'should create an instance of ReportsApi' do
      expect(@instance).to be_instance_of(ZoomUs::ReportsApi)
    end
  end

  # unit tests for get_billing_invoices_reports
  # Get Billing Invoice Reports
  # Get billing invoices reports for a specific billing period. Provide the &#x60;billing_id&#x60; of the billing period for which you would like to retrieve the invoices for. This ID can be retrieved from **Get Billing Reports** API.   **Prerequisites:**&lt;br&gt; * Pro or a higher account with **Billing Report** option enabled.  **Scopes:** &#x60;report:read:admin&#x60;, &#x60;report:master&#x60;  
  # @param [Hash] opts the optional parameters
  # @option opts [String] :billing_id Unique Identifier of the Billing Report. Retrieve this ID from the response of **Get Billing Reports** API request.   
  # @return [InlineResponse200100]
  describe 'get_billing_invoices_reports test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_billing_report
  # Get Billing Reports
  # Get billing reports of a Zoom account.  **Prerequisites:**&lt;br&gt; * Pro or a higher account with Billing Report option enabled.  **Scopes:** &#x60;report:read:admin&#x60;, &#x60;report:master&#x60; 
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20099]
  describe 'get_billing_report test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_cloud_recording
  # Get Cloud Recording Usage Report
  # Retrieve cloud recording usage report for a specified period. You can only get cloud recording reports that is one day ealier than the current date and for the most recent period of 6 months. The date gap between from and to dates should be smaller or equal to 30 days. &lt;br&gt; **Prerequisites**&lt;br&gt; * Pro or higher plan.&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  
  # @param from Start date in &#39;yyyy-mm-dd&#39; format. The date range defined by the \&quot;from\&quot; and \&quot;to\&quot; parameters should only be one month as the report includes only one month worth of data at once.
  # @param to End date.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'report_cloud_recording test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_daily
  # Get Daily Usage Report
  # Retrieve daily report to access the account-wide usage of Zoom services for each day in a given month. It lists the number of new users, meetings, participants, and meeting minutes.&lt;br&gt; **Prerequisites**&lt;br&gt; * Pro or higher plan.&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :year Year for this report
  # @option opts [Integer] :month Month for this report
  # @return [Object]
  describe 'report_daily test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_meeting_details
  # Get Meeting Detail Reports
  # Get a detailed report for a past meeting. &lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or a higher plan.&lt;br&gt;  
  # @param meeting_id The meeting ID or meeting UUID. If given the meeting ID it will take the last meeting instance.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20036]
  describe 'report_meeting_details test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_meeting_participants
  # Get Meeting Participant Reports
  # Get participant report for a past meeting.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or a higher plan.&lt;br&gt;  
  # @param meeting_id The meeting ID or meeting UUID. If given the meeting ID it will take the last meeting instance.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @return [InlineResponse20037]
  describe 'report_meeting_participants test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_meeting_polls
  # Get Meeting Poll Reports
  # Retrieve a report of [poll](https://support.zoom.us/hc/en-us/articles/213756303-Polling-for-Meetings) results for a past meeting. &lt;br&gt;&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or a higher plan.&lt;br&gt;  
  # @param meeting_id The meeting ID or meeting UUID. If given the meeting ID it will take the last meeting instance.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20038]
  describe 'report_meeting_polls test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_meetings
  # Get Meeting Reports
  # Retrieve [report](https://support.zoom.us/hc/en-us/articles/216378603-Meeting-Reporting) on a past meeting for a specified period of time. The time range for the report is limited to a month and the month should fall under the past six months.  Meetings will only be returned in the response if the meeting has two or more unique participants.  &lt;br&gt;&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher plan.
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param from Start date in &#39;yyyy-mm-dd&#39; format. The date range defined by the \&quot;from\&quot; and \&quot;to\&quot; parameters should only be one month as the report includes only one month worth of data at once.
  # @param to End date.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @option opts [String] :type The meeting types: &lt;br&gt;&#x60;past&#x60; - Past meetings.&lt;br&gt;&#x60;pastOne&#x60; - Past one user meetings. 
  # @return [InlineResponse20035]
  describe 'report_meetings test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_operation_logs
  # Get Operation Logs Report
  # The [Operations Logs](https://support.zoom.us/hc/en-us/articles/360032748331-Operation-Logs) report allows you to audit admin and user activity, such as adding a new user, changing account settings, and deleting recordings.&lt;br&gt; Use this API to retrieve operation logs report for a specified period of time.&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher plan.
  # @param from Start date in &#39;yyyy-mm-dd&#39; format. The date range defined by the \&quot;from\&quot; and \&quot;to\&quot; parameters should only be one month as the report includes only one month worth of data at once.
  # @param to End date.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @return [InlineResponse20044]
  describe 'report_operation_logs test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_sign_in_sign_out_activities
  # Get Sign In / Sign Out Activity Report
  # Retrieve a list of sign in / sign out activity logs [report](https://support.zoom.us/hc/en-us/articles/201363213-Getting-Started-with-Reports) of users under a Zoom account.&lt;br&gt; **Prerequisites**&lt;br&gt; * Pro or higher plan.&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  
  # @param [Hash] opts the optional parameters
  # @option opts [DateTime] :from Start date for which you would like to view the activity logs report.
  # @option opts [DateTime] :to End date up to which you would like to view the activity logs report.
  # @option opts [Integer] :page_size The number of records to be returned within a single API call
  # @option opts [String] :next_page_token Next page token is used to paginate through large result sets
  # @return [InlineResponse20068]
  describe 'report_sign_in_sign_out_activities test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_telephone
  # Get Telephone Reports
  # The Telephone report allows you to view who dialed into meetings via phone (Audio Conferencing or SIP Connected Audio) and which number they dialed into and other details. Use this API to get telephone report for a specified period of time.  **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  &lt;br&gt;**Prerequisites:**&lt;br&gt; * Pro or higher plan.
  # @param from Start date in &#39;yyyy-mm-dd&#39; format. The date range defined by the \&quot;from\&quot; and \&quot;to\&quot; parameters should only be one month as the report includes only one month worth of data at once.
  # @param to End date.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :type Audio types:&lt;br&gt;&#x60;1&#x60; - Toll-free Call-in &amp; Call-out. &#x60;3&#x60; - SIP Connected Audio
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [Integer] :page_number The current page number of returned records.
  # @return [InlineResponse20043]
  describe 'report_telephone test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_users
  # Get Active/Inactive Host Reports
  # A user is considered to be an active host during the month specified in the \&quot;from\&quot; and \&quot;to\&quot; range, if the user has hosted at least one meeting during this period. If the user didn&#39;t host any meetings during this period, the user is considered to be inactive.&lt;br&gt;The Active Hosts report displays a list of meetings, participants, and meeting minutes for a specific time range, up to one month. The month should fall within the last six months.&lt;br&gt;The Inactive Hosts report pulls a list of users who were not active during a specific period of time.  Use this API to retrieve an active or inactive host report for a specified period of time. The time range for the report is limited to a month and the month should fall under the past six months. &lt;br&gt;You can specify the type of report and date range using the query parameters.&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher plan.
  # @param from Start date in &#39;yyyy-mm-dd&#39; format. The date range defined by the \&quot;from\&quot; and \&quot;to\&quot; parameters should only be one month as the report includes only one month worth of data at once.
  # @param to End date.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :type Active or inactive hosts.&lt;br&gt;&#x60;active&#x60; - Active hosts. &lt;br&gt;&#x60;inactive&#x60; - Inactive hosts.
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [Integer] :page_number The current page number of returned records.
  # @return [InlineResponse20034]
  describe 'report_users test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_webinar_details
  # Get Webinar Detail Reports
  # Retrieve a [report](https://support.zoom.us/hc/en-us/articles/201393719-Webinar-Reporting) containing past webinar details.  &lt;br&gt;&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or higher plan with Webinar add-on.
  # @param webinar_id The webinar ID or webinar UUID. If given the webinar ID it will take the last webinar instance.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20039]
  describe 'report_webinar_details test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_webinar_participants
  # Get Webinar Participant Reports
  # Get detailed report on each attendee of a webinar.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or a higher plan with Webinar add-on enabled.
  # @param webinar_id The webinar ID or webinar UUID. If given the webinar ID it will take the last webinar instance.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @return [InlineResponse20040]
  describe 'report_webinar_participants test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_webinar_polls
  # Get Webinar Poll Reports
  # Retrieve a report on past [webinar polls](https://support.zoom.us/hc/en-us/articles/203749865-Polling-for-Webinars).&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or a higher plan with Webinar add-on enabled.
  # @param webinar_id The webinar ID or webinar UUID. If given the webinar ID it will take the last webinar instance.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20041]
  describe 'report_webinar_polls test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for report_webinar_qa
  # Get Webinar Q&amp;A Report
  # The Question &amp; Answer (Q&amp;A) feature for webinars allows attendees to ask questions during the webinar and for the panelists, co-hosts and host to answer their questions.  Use this API to retrieve a report on question and answers from past webinars. &lt;br&gt;&lt;br&gt; **Scopes:** &#x60;report:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:**&lt;br&gt; * Pro or a higher plan with Webinar add-on enabled.
  # @param webinar_id The webinar ID or webinar UUID. If given the webinar ID it will take the last webinar instance.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20042]
  describe 'report_webinar_qa test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
