=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::RoomsLocationApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'RoomsLocationApi' do
  before do
    # run before each test
    @instance = ZoomUs::RoomsLocationApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RoomsLocationApi' do
    it 'should create an instance of RoomsLocationApi' do
      expect(@instance).to be_instance_of(ZoomUs::RoomsLocationApi)
    end
  end

  # unit tests for add_azr_location
  # Add a Location
  # Add a location to the [location hierarchial structure(s)](https://support.zoom.us/hc/en-us/articles/115000342983-Zoom-Rooms-Location-Hierarchy) of Zoom Rooms in an account.  **Prerequisites:** * Account owner or admin permissions. * Zoom Rooms Version 4.0 or higher&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;room:write:admin&#x60;&lt;br&gt;   
  # @param [Hash] opts the optional parameters
  # @option opts [Body56] :body 
  # @return [InlineResponse20077]
  describe 'add_azr_location test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for change_parent_location
  # Change the Assigned Parent Location
  # An account owner of a Zoom account can establish a [Zoom Rooms Location Hierarchy](https://support.zoom.us/hc/en-us/articles/115000342983-Zoom-Rooms-Location-Hierarchy) to better organize Zoom Rooms spread accross various location. The location can be structured in a hierarchy with Country being the top-level location, followed by city, campus, building, and floor. The location in the lower level in the hierarchy is considered as a child of the location that is a level above in the hierarchy. Use this API to change the parent location of a child location. &lt;br&gt;&lt;br&gt; For instance, if the location hierarchy is structured in a way where there are two campuses (Campus 1, and Campus 2) in a City and Campus 1 consists of a building named Building 1 with a floor where Zoom Rooms are located, and you would like to rearrange the structure so that Building 1 along with its child locations (floor and Zoom Rooms) are relocated directly under Campus 2 instead of Campus 1, you must provide the location ID of Building 1 in the path parameter of this request and the location ID of Campus 2 as the value of &#x60;parent_location_id&#x60; in the  request body.&lt;br&gt;&lt;br&gt; **Prerequisite:**&lt;br&gt; * Account owner or admin permission * Zoom Rooms version 4.0 or higher&lt;br&gt; **Scopes:** &#x60;room:write:admin&#x60;&lt;br&gt;&lt;br&gt; /n
  # @param location_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Body65] :body 
  # @return [Object]
  describe 'change_parent_location test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_zr_location_profile
  # Get Zoom Room Location Profile 
  # Each location type of the [Zoom Rooms location hierarchy](https://support.zoom.us/hc/en-us/articles/115000342983-Zoom-Rooms-Location-Hierarchy) has a profile page that includes information such as name of the location, address, support email, etc. Use this API to retrieve information about a specific Zoom Rooms location type such as information about the city where the Zoom Rooms is located.  **Prerequisite:**&lt;br&gt; * Account owner or admin permission * Zoom Rooms version 4.0 or higher&lt;br&gt; **Scopes:** &#x60;room:read:admin&#x60;&lt;br&gt;  
  # @param location_id Unique identifier of the location type. This can be retrieved using the [List Zoom Room Location API](https://marketplace.zoom.us/docs/api-reference/zoom-api/rooms-location/listzrlocations) (Id property in the response).
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20078]
  describe 'get_zr_location_profile test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_zr_location_settings
  # Get Location Settings 
  # Get information on meeting or alert settings applied to Zoom Rooms located in a specific location. By default, only **Meeting Settings** are returned. To view only **Alert Settings**, specify &#x60;alert&#x60; as the value of the &#x60;setting_type&#x60; query parameter.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Zoom Room licenses * Owner or Admin privileges on the Zoom Account.&lt;br&gt; **Scopes:** &#x60;room:read:admin&#x60;&lt;br&gt; 
  # @param setting_type The type of setting that you would like to retrieve.&lt;br&gt; &#x60;alert&#x60;: Alert Settings applied on the Zoom Rooms Account.&lt;br&gt; &#x60;meeting&#x60;: Meeting settings of the Zoom Rooms Account.
  # @param location_id Unique identifier of the location type. This can be retrieved using the [List Zoom Room Location API](https://marketplace.zoom.us/docs/api-reference/zoom-api/rooms-location/listzrlocations) (Id property in the response).
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'get_zr_location_settings test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_zr_location_structure
  # Get Zoom Room Location Structure
  # Get the [location hierarchial structure(s)](https://support.zoom.us/hc/en-us/articles/115000342983-Zoom-Rooms-Location-Hierarchy) applied on the Zoom Rooms in an account.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Zoom Rooms version 4.0 or higher * Account owner or admin permissions&lt;br&gt; **Scopes:** &#x60;room:read:admin&#x60;&lt;br&gt; 
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20079]
  describe 'get_zr_location_structure test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_zr_locations
  # List Zoom Room Locations
  # A Zoom account owner or a Zoom Room administrator can establish a [location hierarchy](https://support.zoom.us/hc/en-us/articles/115000342983-Zoom-Rooms-Location-Hierarchy) to help manage Zoom Rooms that are spread among a variety of locations. Use this API to list the different location types used for Zoom Rooms in an account.&lt;br&gt;&lt;br&gt; **Prerequisites:** * Account owner or admin permissions. * Zoom Rooms Version 4.0 or higher&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;room:read:admin&#x60;&lt;br&gt;     
  # @param [Hash] opts the optional parameters
  # @option opts [String] :parent_location_id A unique identifier for the parent location. For instance, if a Zoom Room is located in Floor 1 of Building A, the location of Building A will be the parent location of Floor 1. Use this parameter to filter the response by a specific location hierarchy level.
  # @option opts [String] :type Use this field to filter the response by the type of location. The value can be one of the following: &#x60;country&#x60;, &#x60;states&#x60;, &#x60;city&#x60;, &#x60;campus&#x60;, &#x60;building&#x60;, &#x60;floor&#x60;. 
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @option opts [String] :next_page_token The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
  # @return [InlineResponse20076]
  describe 'list_zr_locations test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_zoom_rooms_location_structure
  # Update Zoom Rooms Location Structure
  # Update the [location hierarchial structure(s)](https://support.zoom.us/hc/en-us/articles/115000342983-Zoom-Rooms-Location-Hierarchy) applied on the Zoom Rooms in an account.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Zoom Rooms version 4.0 or higher * Account owner or admin permissions&lt;br&gt; **Scopes:** &#x60;room:write:admin&#x60;&lt;br&gt; 
  # @param [Hash] opts the optional parameters
  # @option opts [Body58] :body 
  # @return [Object]
  describe 'update_zoom_rooms_location_structure test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_zr_location_profile
  # Update Zoom Room Location Profile
  # Each location type of the [Zoom Rooms location hierarchy](https://support.zoom.us/hc/en-us/articles/115000342983-Zoom-Rooms-Location-Hierarchy) has a profile page that includes information such as name of the location, address, support email, etc. Use this API to update information about a specific Zoom Rooms location type such as information about the city where the Zoom Rooms is located.  **Prerequisite:**&lt;br&gt; * Account owner or admin permission * Zoom Rooms version 4.0 or higher&lt;br&gt; **Scopes:** &#x60;room:write:admin&#x60;&lt;br&gt;   
  # @param location_id Unique Identifier of the location. This can be retrieved from the [List Zoom Room Locations](https://marketplace.zoom.us/docs/api-reference/zoom-api/rooms-location/listzrlocations) API.
  # @param [Hash] opts the optional parameters
  # @option opts [Body57] :body 
  # @return [Object]
  describe 'update_zr_location_profile test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_zr_location_settings
  # Update Location Settings
  # Update information on either meeting or alert settings applied to Zoom Rooms located in a specific location. To update **Alert Settings**, specify &#x60;alert&#x60; as the value of the &#x60;setting_type&#x60; query parameter. Similarly, to update **Meeting Settings**, specify &#x60;meeting&#x60; as the value of the &#x60;setting_type&#x60; query parameter.&lt;br&gt;&lt;br&gt; **Prerequisites:**&lt;br&gt; * Zoom Room licenses * Owner or Admin privileges on the Zoom Account.&lt;br&gt; **Scopes:** &#x60;room:write:admin&#x60;&lt;br&gt; 
  # @param setting_type The type of setting that you would like to update.&lt;br&gt; &#x60;alert&#x60;: Alert Settings applied on the Zoom Rooms Account.&lt;br&gt; &#x60;meeting&#x60;: Meeting settings of the Zoom Rooms Account.
  # @param location_id Unique identifier of the location type. This can be retrieved using the [List Zoom Room Location API](https://marketplace.zoom.us/docs/api-reference/zoom-api/rooms-location/listzrlocations) (Id property in the response).
  # @param [Hash] opts the optional parameters
  # @option opts [Object] :body 
  # @return [Object]
  describe 'update_zr_location_settings test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
