=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::SIPConnectedAudioApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'SIPConnectedAudioApi' do
  before do
    # run before each test
    @instance = ZoomUs::SIPConnectedAudioApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of SIPConnectedAudioApi' do
    it 'should create an instance of SIPConnectedAudioApi' do
      expect(@instance).to be_instance_of(ZoomUs::SIPConnectedAudioApi)
    end
  end

  # unit tests for assign_sip_config
  # Assign SIP Trunk Configuration
  # With SIP-connected audio, Zoom establishes a SIP trunk (a network connection specifically designed to make and deliver phone calls) over a direct and private connection between the customer’s network and the Zoom cloud. Meeting participants that dial into a meeting or have the meeting call them, and are On-Net from the perspective of the customers&#39; IP telephony network, will be connected over this trunk rather than over the PSTN. &lt;br&gt;&lt;br&gt; Using this API, a Master Account owner can copy the SIP Connected Audio configurations applied on the Master Account and enable those configurations on a Sub Account. The owner can also disable the configuration in the Sub Account where it was previously enabled.  **Prerequisites:**&lt;br&gt; * Pro or a higher account with SIP Connected Audio plan enabled. * Master Account Owner&lt;br&gt; **Scopes:** &#x60;sip_trunk:master&#x60;&lt;br&gt;  
  # @param account_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Body60] :body 
  # @return [Object]
  describe 'assign_sip_config test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for assign_sip_trunk_numbers
  # Assign Numbers
  # With SIP-connected audio, Zoom establishes a SIP trunk (a network connection specifically designed to make and deliver phone calls) over a direct and private connection between the customer’s network and the Zoom cloud. Meeting participants that dial into a meeting or have the meeting call them, and are On-Net from the perspective of the customers&#39; IP telephony network, will be connected over this trunk rather than over the PSTN. &lt;br&gt;&lt;br&gt;Use this API to assign internal numbers to a Sub Account.  **Prerequisites:**&lt;br&gt; * Pro or a higher account with SIP Connected Audio plan enabled. * The account must be a Master Account&lt;br&gt; **Scopes:** &#x60;sip_trunk:master&#x60;&lt;br&gt;   
  # @param account_id Unique Identifier of the Sub Account.
  # @param [Hash] opts the optional parameters
  # @option opts [Body61] :body 
  # @return [Object]
  describe 'assign_sip_trunk_numbers test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_all_sip_numbers
  # Delete All Numbers
  # With SIP-connected audio, Zoom establishes a SIP trunk (a network connection specifically designed to make and deliver phone calls) over a direct and private connection between the customer’s network and the Zoom cloud. Meeting participants that dial into a meeting or have the meeting call them, and are On-Net from the perspective of the customers&#39; IP telephony network, will be connected over this trunk rather than over the PSTN. &lt;br&gt;&lt;br&gt;Use this API to delete all internal numbers assigned to a Sub Account. **Prerequisites:**&lt;br&gt;  * Pro or a higher account with SIP Connected Audio plan enabled. * The account must be a Master Account&lt;br&gt; **Scopes:** &#x60;sip_trunk:master&#x60;&lt;br&gt; 
  # @param account_id Account ID of the Sub Account from which the numbers are to be deleted. This can be retrieved from [List Sub Accounts](https://marketplace.zoom.us/docs/api-reference/zoom-api/accounts/account) API.
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'delete_all_sip_numbers test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_sip_trunk_numbers
  # List SIP Trunk Numbers
  # With SIP-connected audio, Zoom establishes a SIP trunk (a network connection specifically designed to make and deliver phone calls) over a direct and private connection between the customer’s network and the Zoom cloud. Meeting participants that dial into a meeting or have the meeting call them, and are On-Net from the perspective of the customers&#39; IP telephony network, will be connected over this trunk rather than over the PSTN. &lt;br&gt;&lt;br&gt;Use this API to list all the internal numbers that are configured for SIP Connected Audio in a Zoom Account.  **Prerequisites:**&lt;br&gt; * Pro or a higher account with SIP Connected Audio plan enabled. * The account must be a Master Account&lt;br&gt; **Scopes:** &#x60;sip_trunk:master&#x60; 
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20082]
  describe 'list_sip_trunk_numbers test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
