=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::SIPPhone
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'SIPPhone' do
  before do
    # run before each test
    @instance = ZoomUs::SIPPhone.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of SIPPhone' do
    it 'should create an instance of SIPPhone' do
      expect(@instance).to be_instance_of(ZoomUs::SIPPhone)
    end
  end

  # unit tests for create_sip_phone
  # Create SIP Phone
  # Zoom’s Phone System Integration (PSI), also referred as SIP phones, enables an organization to leverage the Zoom client to complete a softphone registration to supported premise based PBX system. End users will have the ability to have softphone functionality within a single client while maintaining a comparable interface to Zoom Phone. Use this API to enable a user to use SIP phone.&lt;br&gt;&lt;br&gt; **Prerequisites**: * Currently only supported on Cisco and Avaya PBX systems.  * The account owner or account admin must first enable SIP Phone Integration by contacting the [Sales](https://zoom.us/contactsales) team.&lt;br&gt; **Scope:** &#x60;sip_phone:write:admin&#x60; &lt;br&gt;
  # @param [Hash] opts the optional parameters
  # @option opts [Body] :body
  # @return [nil]
  describe 'create_sip_phone test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_sip_phone
  # Delete SIP Phone
  # Zoom’s Phone System Integration (PSI), also referred as SIP phones, enables an organization to leverage the Zoom client to complete a softphone registration to supported premise based PBX system. End users will have the ability to have softphone functionality within a single client while maintaining a comparable interface to Zoom Phone. Use this API to delete a specific SIP phone on a Zoom account.&lt;br&gt;&lt;br&gt; **Prerequisites**: * Currently only supported on Cisco and Avaya PBX systems.  * User must enable SIP Phone Integration by contacting the [Sales](https://zoom.us/contactsales) team.&lt;br&gt; **Scope:** &#x60;sip_phone:read:admin&#x60; &lt;br&gt;
  # @param phone_id Unique Identifier of the SIP Phone. It can be retrieved from the List SIP Phones API.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_sip_phone test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_sip_phones
  # List SIP Phones
  # Zoom’s Phone System Integration (PSI), also referred as SIP phones, enables an organization to leverage the Zoom client to complete a softphone registration to supported premise based PBX system. End users will have the ability to have softphone functionality within a single client while maintaining a comparable interface to Zoom Phone. Use this API to list SIP phones on an account.&lt;br&gt;&lt;br&gt; **Prerequisites**: * Currently only supported on Cisco and Avaya PBX systems.  * User must enable SIP Phone Integration by contacting the [Sales](https://zoom.us/contactsales) team.&lt;br&gt; **Scope:** &#x60;sip_phone:read:admin&#x60;&lt;br&gt; &lt;br&gt;
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page_number The current page number of returned records.
  # @option opts [String] :search_key User name or email address of a user. If this parameter is provided, only the SIP phone system integration enabled for that specific user will be returned. Otherwise, all SIP phones on an account will be returned.
  # @option opts [Integer] :page_size The number of records returned within a single API call.
  # @return [InlineResponse2001]
  describe 'list_sip_phones test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_sip_phone
  # Update SIP Phone
  # Zoom’s Phone System Integration (PSI), also referred as SIP phones, enables an organization to leverage the Zoom client to complete a softphone registration to supported premise based PBX system. End users will have the ability to have softphone functionality within a single client while maintaining a comparable interface to Zoom Phone. Use this API to update information of a specific SIP Phone on a Zoom account.&lt;br&gt;&lt;br&gt; **Prerequisites**: * Currently only supported on Cisco and Avaya PBX systems.  * The account owner or account admin must first enable SIP Phone Integration by contacting the [Sales](https://zoom.us/contactsales) team.&lt;br&gt; **Scope:** &#x60;sip_phone:write:admin&#x60; &lt;br&gt;
  # @param phone_id Unique Identifier of the SIP Phone. This can be retrieved from the List SIP Phones API.
  # @param [Hash] opts the optional parameters
  # @option opts [Body1] :body
  # @return [nil]
  describe 'update_sip_phone test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
