=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::TrackingFieldApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TrackingFieldApi' do
  before do
    # run before each test
    @instance = ZoomUs::TrackingFieldApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TrackingFieldApi' do
    it 'should create an instance of TrackingFieldApi' do
      expect(@instance).to be_instance_of(ZoomUs::TrackingFieldApi)
    end
  end

  # unit tests for trackingfield_create
  # Create a Tracking Field
  # [Tracking fields](https://support.zoom.us/hc/en-us/articles/115000293426-Scheduling-Tracking-Fields) allow you to analyze usage by various fields within an organization.&lt;br&gt; Use this API to create a new tracking field.&lt;br&gt;&lt;br&gt; **Scope:** &#x60;trackingfield:write:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:** * Business, Education, API or higher plan
  # @param body Tracking Field
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse2018]
  describe 'trackingfield_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for trackingfield_delete
  # Delete a Tracking Field
  # [Tracking fields](https://support.zoom.us/hc/en-us/articles/115000293426-Scheduling-Tracking-Fields) allow you to analyze usage by various fields within an organization.&lt;br&gt; Use this API to delete a tracking field.&lt;br&gt;&lt;br&gt; **Scope:** &#x60;trackingfield:write:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:** * Business, Education, API or higher plan
  # @param field_id The Tracking Field ID
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'trackingfield_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for trackingfield_get
  # Get a Tracking Field
  # [Tracking fields](https://support.zoom.us/hc/en-us/articles/115000293426-Scheduling-Tracking-Fields) allow you to analyze usage by various fields within an organization.&lt;br&gt;&lt;br&gt; When scheduling a meeting, the tracking field will be included in the meeting options.&lt;br&gt;Use this API to get information on a tracking field.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;trackingfield:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:** * Business, Education, API or higher plan 
  # @param field_id The Tracking Field ID
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse2018]
  describe 'trackingfield_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for trackingfield_list
  # List Tracking Fields
  # [Tracking fields](https://support.zoom.us/hc/en-us/articles/115000293426-Scheduling-Tracking-Fields) allow you to analyze usage by various fields within an organization.&lt;br&gt; Use this API to list all the tracking fields on your Zoom account.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;trackingfield:read:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:** * Business, Education, API or higher plan
  # @param [Hash] opts the optional parameters
  # @return [Object]
  describe 'trackingfield_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for trackingfield_update
  # Update a Tracking Field
  # [Tracking fields](https://support.zoom.us/hc/en-us/articles/115000293426-Scheduling-Tracking-Fields) allow you to analyze usage by various fields within an organization.&lt;br&gt; Use this API to update a tracking field.&lt;br&gt;&lt;br&gt; **Scope:** &#x60;trackingfield:write:admin&#x60;&lt;br&gt;  &lt;br&gt; **Prerequisites:** * Business, Education, API or higher plan
  # @param field_id The Tracking Field ID
  # @param body 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'trackingfield_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
