=begin
#Zoom API

#The Zoom API allows developers to safely and securely access information from Zoom. You can use this API to build private services or public applications on the [Zoom App Marketplace](http://marketplace.zoom.us). To learn how to get your credentials and create private/public applications, read our [Authorization Guide](https://marketplace.zoom.us/docs/guides/authorization/credentials). All endpoints are available via `https` and are located at `api.zoom.us/v2/`.  For instance you can list all users on an account via `https://api.zoom.us/v2/users/`.

OpenAPI spec version: 2.0.0
Contact: developersupport@zoom.us
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.12

=end

require 'spec_helper'
require 'json'

# Unit tests for ZoomUs::TSPApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'TSPApi' do
  before do
    # run before each test
    @instance = ZoomUs::TSPApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of TSPApi' do
    it 'should create an instance of TSPApi' do
      expect(@instance).to be_instance_of(ZoomUs::TSPApi)
    end
  end

  # unit tests for tsp
  # Get Account&#39;s TSP Information
  # Get information on Telephony Service Provider on an account level.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;tsp:read:admin&#x60; &#x60;tsp:read&#x60;&lt;br&gt;    **Prerequisites:**&lt;br&gt; * A Pro or a higher plan.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20045]
  describe 'tsp test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for tsp_update
  # Update account&#39;s TSP information
  # Update information of the Telephony Service Provider set up on an account.&lt;br&gt; **Prerequisites**:&lt;br&gt; TSP account option should be enabled.&lt;br&gt; **Scopes:** &#x60;tsp:write:admin&#x60; &#x60;tsp:write&#x60;&lt;br&gt;   
  # @param body TSP Account
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'tsp_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for tsp_url_update
  # Set Global Dial-in URL for a TSP User
  # A global dial-in page can provide a list of global access numbers using which audio conferencing can be conducted. By calling this API, you can set the url for the global dial-in page of a user whose Zoom account has TSP and special TSP with third-party audio conferencing options enabled. &lt;p&gt;&lt;/p&gt; **Scopes:**&#x60;tsp:write:admin&#x60; &#x60;tsp:write&#x60;&lt;br&gt;   
  # @param user_id The userId or email address of the user.
  # @param [Hash] opts the optional parameters
  # @option opts [TSPGlobalDialInURLSetting] :body Global dial-in URL of the user.
  # @return [nil]
  describe 'tsp_url_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for user_ts_ps
  # List User&#39;s TSP accounts
  # A user can have a maximum of two TSP accounts. Use this API to list all TSP accounts of a user.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;tsp:read:admin&#x60; &#x60;tsp:read&#x60;&lt;br&gt;  
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param [Hash] opts the optional parameters
  # @return [InlineResponse20050]
  describe 'user_ts_ps test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for user_tsp
  # Get a User&#39;s TSP Account
  # Each user can have a maximum of two TSP accounts. Use this API to retrieve details of a specific TSP account enabled for a specific user.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;tsp:read:admin&#x60; &#x60;tsp:read&#x60;&lt;br&gt;   
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param tsp_id TSP account ID.
  # @param [Hash] opts the optional parameters
  # @return [TSPAccount]
  describe 'user_tsp test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for user_tsp_create
  # Add a User&#39;s TSP Account
  # Add a user&#39;s TSP account.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;tsp:write:admin&#x60; &#x60;tsp:write&#x60;&lt;br&gt;   
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param body TSP account.
  # @param [Hash] opts the optional parameters
  # @return [TSPAccountsList2]
  describe 'user_tsp_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for user_tsp_delete
  # Delete a User&#39;s TSP Account
  # Delete a user&#39;s TSP account.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;tsp:write:admin&#x60; &#x60;tsp:write&#x60;&lt;br&gt;   
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param tsp_id TSP account ID.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'user_tsp_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for user_tsp_update
  # Update a TSP Account
  # Update a user&#39;s TSP account.&lt;br&gt;&lt;br&gt; **Scopes:** &#x60;tsp:write:admin&#x60; &#x60;tsp:write&#x60;&lt;br&gt;   
  # @param user_id The user ID or email address of the user. For user-level apps, pass &#x60;me&#x60; as the value for userId.
  # @param tsp_id TSP account ID.
  # @param body TSP account.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'user_tsp_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
